Skip to content

Attach Managed Policy

POST
/enum.api.v1.ObjectStorageUserPolicyService/AttachObjectStorageUserPolicy

Attaches a supported managed IAM policy ARN to an object storage user.

object
projectId
string
objectStorageUserId
string
policyArn

Managed policy ARN. Must be one of the supported managed policies: AmazonS3FullAccess, AmazonS3ReadOnlyAccess, IAMFullAccess.

string

OK

object
objectStorageUserPolicy

ObjectStorageUserPolicy is a managed or inline IAM policy attachment on an object storage user.

object
id
string
projectId
string
objectStorageUserId
string
kind
integer format: enum
policyArn

Set for managed policies (AWS managed policy ARN).

string
policyName

Set for inline policies.

string
policyDocument

Inline policy JSON document. Only populated for inline policies.

string
status
integer format: enum
createdAt
string format: date-time
updatedAt
string format: date-time